### Method

# AppStream Component set_pkgnames

#### Declaration [src]

    void
    as_component_set_pkgnames (
      AsComponent* cpt,
      gchar** packages
    )

#### Description [src]

Set a list of package names this component consists of. (This should usually be just one package name).

Sets property | `AppStream.Component:pkgnames`

#### Parameters

`packages`

  Type: An array of `gchar*`

  No description available.

  The array must be `NULL`-terminated.
  The data is owned by the caller of the method.
  Each element is a NUL terminated UTF-8 string.